Hi,

I tried installing phpMyAdmin in an ezjail created jail already
installed with apache22, mysql and php5 running FreeBSD 7.1-RELEASE
i386 with no X11 (headless).
The port install failed when dependency 'libXau-1.0.4' configure
couldn't find gnome-config:

...
checking for XAU... gnome-config: not found
configure: error: Package requirements (xproto) were not met.
...

I'm not sure if this issue is specific to my system or is it a ports
issue but I found that libXau-1.0.4 was in the ports tree since
January 2009 so it's less likely to be an issue with the port itself.

Right now I'm not sure if the required gnome-config is lost from my
system or was never there in the 1st place. What can I do to continue
with phpMyAdmin installation?

I'm also curious why the phpMyAdmin port requires libX11 libraries to
build while the phpMyAdmin website states that php, mysql and apache
are the requirements for running phpMyAdmin?

Below are the outputs from my system when phpMyAdmin build failed:



# cd /usr/ports/databases/phpmyadmin
# make install clean
===>  Installing for phpMyAdmin-3.2.2.1
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/include/php/main/php.h - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/ctype.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/mysql.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/session.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/spl.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/filter.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/bz2.so - found
===>   phpMyAdmin-3.2.2.1 depends on file:
/usr/local/lib/php/20060613/gd.so - not found
===>    Verifying install for /usr/local/lib/php/20060613/gd.so in
/usr/ports/graphics/php5-gd
===>   php5-gd-5.2.11_1 depends on file: /usr/local/bin/phpize - found
===>   php5-gd-5.2.11_1 depends on file:
/usr/local/libdata/pkgconfig/xpm.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xpm.pc in
/usr/ports/x11/libXpm
===>   libXpm-3.5.7 depends on file:
/usr/local/libdata/pkgconfig/xextproto.pc - not found
===>    Verifying install for
/usr/local/libdata/pkgconfig/xextproto.pc in /usr/ports/x11/xextproto
===>   Returning to build of libXpm-3.5.7
===>   libXpm-3.5.7 depends on file:
/usr/local/libdata/pkgconfig/xproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xproto.pc
in /usr/ports/x11/xproto
===>   Returning to build of libXpm-3.5.7
===>   libXpm-3.5.7 depends on file:
/usr/local/libdata/pkgconfig/x11.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/x11.pc in
/usr/ports/x11/libX11
===>   libX11-1.2.1_1,1 depends on file:
/usr/local/libdata/pkgconfig/xcb.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xcb.pc in
/usr/ports/x11/libxcb
===>   libxcb-1.4 depends on file: /usr/local/lib/libcheck.a - found
===>   libxcb-1.4 depends on executable: xsltproc - found
===>   libxcb-1.4 depends on file:
/usr/local/libdata/pkgconfig/xcb-proto.pc - found
===>   libxcb-1.4 depends on package: xcb-proto>=1.5 - found
===>   libxcb-1.4 depends on file:
/usr/local/libdata/pkgconfig/pthread-stubs.pc - found
===>   libxcb-1.4 depends on file: /usr/local/bin/python2.6 - found
===>   libxcb-1.4 depends on executable: gmake - found
===>   libxcb-1.4 depends on file: /usr/local/libdata/pkgconfig/xau.pc
- not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xau.pc in
/usr/ports/x11/libXau
===>   libXau-1.0.4 depends on file:
/usr/local/libdata/pkgconfig/xproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xproto.pc
in /usr/ports/x11/xproto
===>   Returning to build of libXau-1.0.4
===>   libXau-1.0.4 depends on executable: pkg-config - found
===>  Configuring for libXau-1.0.4
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking if xorg-macros used to generate configure is at least 1.1... yes, 1.1.6
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether ln -s works... yes
checking build system type... i386-portbld-freebsd7.1
checking host system type... i386-portbld-freebsd7.1
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking how to run the C++ preprocessor... c++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... (cached) 262144
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd7.1 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by c++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking for c++ option to produce PIC... -fPIC
checking if c++ PIC flag -fPIC works... yes
checking if c++ static flag -static works... yes
checking if c++ supports -c -o file.o... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd7.1 ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking whether make sets $(MAKE)... (cached) yes
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XAU... gnome-config: not found
configure: error: Package requirements (xproto) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the XAU_CFLAGS and XAU_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to x...@freebsd.org [maintainer] and attach the
"/var/ports/basejail/usr/ports/x11/libXau/work/libXau-1.0.4/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /basejail/usr/ports/x11/libXau.
*** Error code 1

Stop in /basejail/usr/ports/x11/libxcb.
*** Error code 1

Stop in /basejail/usr/ports/x11/libX11.
*** Error code 1

Stop in /basejail/usr/ports/x11/libXpm.
*** Error code 1

Stop in /basejail/usr/ports/graphics/php5-gd.
*** Error code 1

Stop in /basejail/usr/ports/graphics/php5-gd.
*** Error code 1

Stop in /basejail/usr/ports/databases/phpmyadmin.
*** Error code 1

Stop in /basejail/usr/ports/databases/phpmyadmin.
#



Kikachi
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to